oracle.pg.common

## Class SimpleLogBasedDataLoaderListenerImpl

- java.lang.Object
- - oracle.pg.common.SimpleLogBasedProgressListenerImpl
  - - oracle.pg.common.SimpleLogBasedDataLoaderListenerImpl

- All Implemented Interfaces:
    DataLoaderListener, ProgressListener

      public class SimpleLogBasedDataLoaderListenerImpl
      extends SimpleLogBasedProgressListenerImpl
      implements DataLoaderListener

  This class provides a simple Log based implementation of DataLoaderListener interface.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `continueOnError(long errs, long progress, Object offender, String mesg)` This method returns true if the data loading is to be continued upon encountering this error.
    `static SimpleLogBasedDataLoaderListenerImpl` | `getInstance(long freq)` This method returns an isntance of DataLoaderListener
    `static SimpleLogBasedDataLoaderListenerImpl` | `getInstance(long freq, boolean continueOnError)` This method returns an isntance of DataLoaderListener
    `void` | `progressTo(long progress, String mesg)` This method reports the current progress.
    `long` | `reportDataLoaderFrequency()` Returns a positive integer as the frequency of progress reporting.

    - ### Methods inherited from class oracle.pg.common.SimpleLogBasedProgressListenerImpl

      `reportProgressFrequency`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface oracle.pg.common.ProgressListener

      `reportProgressFrequency`

- - ### Method Detail

    - #### continueOnError

          public boolean continueOnError(long errs,
                                long progress,
                                Object offender,
                                String mesg)

      This method returns true if the data loading is to be continued upon encountering this error. Data loading is supposed to be interrupted if this method returns false
      Specified by:
        `continueOnError` in interface `DataLoaderListener`
      Parameters:
        `errs` - number of errors encountered so far.
        `progress` - a long value indicating the current progress. It must be a positive integer.
        `offender` - the object value that triggers an error condition
        `mesg` - an optional string value describing the current progress and error condition.

    - #### getInstance

          public static SimpleLogBasedDataLoaderListenerImpl getInstance(long freq)

      This method returns an isntance of DataLoaderListener
      Parameters:
        `freq` - frequencey of progress reporting. This must be a positive integer.

    - #### getInstance

          public static SimpleLogBasedDataLoaderListenerImpl getInstance(long freq,
                                                         boolean continueOnError)

      This method returns an isntance of DataLoaderListener
      Parameters:
        `freq` - frequencey of progress reporting. This must be a positive integer.
        `continueOnError` - continue on error if this flag is set to true

    - #### progressTo

          public void progressTo(long progress,
                        String mesg)

      This method reports the current progress.
      Specified by:
        `progressTo` in interface `ProgressListener`
      Overrides:
        `progressTo` in class `SimpleLogBasedProgressListenerImpl`
      Parameters:
        `progress` - a long value indicating the current progress. It must be a positive integer.
        `mesg` - an optional string value describing the current progress.

    - #### reportDataLoaderFrequency

          public long reportDataLoaderFrequency()

      Returns a positive integer as the frequency of progress reporting.
      Returns:
        progress reporting frequency which must be a positive integer.

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.